package com.ruoyi.bst.order.domain;

import com.ruoyi.bst.orderProd.domain.OrderProdVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.List;

/**
 * @author wjh
 * 2024/12/16
 */
@Data
public class OrderVO extends Order{

    @ApiModelProperty("产品列表")
    private List<OrderProdVO> prodList;

    @ApiModelProperty("最终产品ID")
    private Long finalProdId;

    @ApiModelProperty("最终工序总上报数")
    private BigDecimal reportNum;

    @ApiModelProperty("最终工序有效清点数")
    private BigDecimal storeNum;

    @ApiModelProperty("进度")
    public BigDecimal getProgress() {
        if (this.storeNum == null || this.getNum() == null) {
            return BigDecimal.ZERO;
        }
        return this.storeNum
                .multiply(new BigDecimal(100))
                .divide(this.getNum(), 2, RoundingMode.HALF_UP);
    }
}
