package com.ruoyi.bst.store.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 入库对象 bst_store
 *
 * @author ruoyi
 * @date 2024-12-19
 */
@Data
public class Store extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "工序ID")
    @ApiModelProperty("工序ID")
    @NotNull(message = "工序不允许为空", groups = {ValidGroup.Create.class})
    private Long processId;

    @Excel(name = "上报数量")
    @ApiModelProperty("上报数量")
    @NotNull(message = "上报数量不允许为空", groups = {ValidGroup.Create.class})
    @Min(value = 1, message = "上报数量不能小于1")
    private BigDecimal num;

    @Excel(name = "入库数量")
    @ApiModelProperty("入库数量")
    private BigDecimal storeNum;

    @Excel(name = "上报人ID")
    @ApiModelProperty("上报人ID")
    private Long createId;

    @Excel(name = "状态", readConverterExp = "1=待清点,2=已清点")
    @ApiModelProperty("状态")
    private String status;

    @Excel(name = "入库人ID")
    @ApiModelProperty("入库人ID")
    private Long storeUserId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "入库时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("入库时间")
    private LocalDateTime storeTime;

    @Excel(name = "入库人名称")
    @ApiModelProperty("入库人名称")
    private String storeBy;

    @Excel(name = "备注")
    @Size(max = 200, message = "备注长度不能超过200个字符")
    private String remark;

}
