package com.ruoyi.bst.store.domain.enums;

import com.ruoyi.common.utils.collection.CollectionUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

/**
 * @author wjh
 * 2024/12/20
 */
@Getter
@AllArgsConstructor
public enum StoreStatus {

    WAIT_STORE("1", "待清点"),
    STORED("2", "已清点");

    private final String status;
    private final String msg;

    public static List<String> asList(StoreStatus ...statuses) {
        return CollectionUtils.map(StoreStatus::getStatus, statuses);
    }

    // 允许删除的状态
    public static List<String> canDel() {
        return asList(WAIT_STORE);
    }

    public static List<String> canStockIn() {
        return asList(WAIT_STORE);
    }
}
